.loader {
        width: 48px;
        height: 48px;
        border-radius: 50%;
        position: relative;
        animation: rotate 1s linear infinite
      }
      .loader::before , .loader::after {
        content: "";
        box-sizing: border-box;
        position: absolute;
        inset: 0px;
        border-radius: 50%;
        border: 5px solid #FFF;
        animation: prixClipFix 2s linear infinite ;
      }
      .loader::after{
        inset: 8px;
        transform: rotate3d(90, 90, 0, 180deg );
        border-color: #FF3D00;
      }

      @keyframes rotate {
        0%   {transform: rotate(0deg)}
        100%   {transform: rotate(360deg)}
      }

      @keyframes prixClipFix {
          0%   {clip-path:polygon(50% 50%,0 0,0 0,0 0,0 0,0 0)}
          50%  {clip-path:polygon(50% 50%,0 0,100% 0,100% 0,100% 0,100% 0)}
          75%, 100%  {clip-path:polygon(50% 50%,0 0,100% 0,100% 100%,100% 100%,100% 100%)}
      }

.dataTables_filter,.dataTables_length{
    display: none;
}

.toast{
    position: absolute; 
    top: 10px; 
    right: 10px;
}

.text-align-justify{
    text-align: justify;
}

.overflow-text{
    height: 140px;
    overflow-y: auto;
    padding: inherit;
}

.lds-dual-ring.hidden { 
    display: none;
    }
    .lds-dual-ring {
      display: inline-block;
      width: 80px;
      height: 80px;
    }
    .lds-dual-ring:after {
        content: " ";
        display: block;
        width: 150px;
        height: 150px;
        margin: 5% auto;
        border-radius: 50%;
        border: 6px solid #104fdd;
        border-color: #104fdd transparent #104fdd transparent;
        animation: lds-dual-ring 1.2s linear infinite;
    }
    @keyframes lds-dual-ring {
      0% {
        transform: rotate(0deg);
      }
      100% {
        transform: rotate(360deg);
      }
    }
    
    
.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    /* background: rgba(0,0,0,.2); */
    z-index: 999;
    opacity: 1;
    transition: all 0.5s;
}

div.dataTables_wrapper { min-height: 530px; }
div.fg-toolbar.ui-toolbar.ui-corner-tl { position: inherit; }
div.fg-toolbar.ui-toolbar.ui-corner-bl { position: absolute; bottom: 0; width: 100% }
div.dataTables_paginate { position: relative; float: right;}

#dataTableMeasureUnits_wrapper { min-height: 200px; }
#dataTableStorages_wrapper { min-height: 200px; }
#dataTableMaterials_wrapper { min-height: 200px; }

#dataTableStorageDataList_wrapper { min-height: 200px; }
#dataTableMaterialDataList_wrapper { min-height: 200px; }
#dataTableStorageInputMaterial_wrapper { min-height: 298px; }

#dataTableRoutes_wrapper { min-height: 450px; }
#dataTableCarsForRouters_wrapper { min-height: 200px; }

/*  */
.dropdown-menu-cars{
  position: absolute;
  inset: 0px auto auto 0px;
  margin: 0px;
  transform: translate(0px, 38px);
  max-height: 400px;
  overflow: auto;
  min-width: -webkit-fill-available;
}

.dropdown-menu-cars {
  position: absolute;
  inset: 0px auto auto 0px;
  margin: 0px;
  transform: translate(0px, 38px);
  max-height: 400px;
  overflow: auto;
}

.dropdown-menu-storages{
  position: absolute;
  inset: 0px auto auto 0px;
  margin: 0px;
  transform: translate(0px, 38px);
  max-height: 400px;
  overflow: auto;
  min-width: -webkit-fill-available;
}

.dropdown-menu-materials{
  position: absolute;
  inset: 0px auto auto 0px;
  margin: 0px;
  transform: translate(0px, 38px);
  max-height: 400px;
  overflow: auto;
  min-width: -webkit-fill-available;
}


.card{
  height: max-content;
}


/* .test option{
  color: crimson;
  justify-content: space-between;
} */

